\section{Basic Concepts}

There are two types of CTF events: Jeopardy and Attack-Defense. Most of the time Jeopardy is played where the event consists of multiple single challenges which need to be solved to gather points.

There are often different categories of challenges.

\paragraph{Type of Challenges:}
\begin{itemize}
	\item Reversing - Reverse engineering a binary or any other kind of local program.
	\item Pawning (pwn) - Exploit a program to run a remote code execution.
	\item Crypto - Is everything about cryptography.
	\item Web - Exploit web applications.
	\item Misc - Can be everything.
\end{itemize}

The best way to train for a CTF is to play a CTF. Therefore the site \href{https://ctftime.org/}{CTF Time} is a good source for a list of ongoing and past CTFs.

\paragraph{Skills Tested in CTFs}
\begin{itemize}
	\item General Skills - Scripting, Operating System Specific, System Administration
	\item Cryptography
	\item Forensics - File, Filesystem, Memory, Network
	\item Web Exploitation
	\item Uncategorised / Miscellaneous
	\item Reverse Engineering
	\item Binary Exploitation
\end{itemize}

\subsection{Flag Format}
Most of the time in order to mark a challenge as done you have to hand in a Flag which is most of the time an ASCII string. Most of the time there is a flag format defined for every CTF.

\begin{itemize}
	\item flag\{this\_is\_an\_example\}
	\item ctfName\{otherExample\}
\end{itemize}

\subsection{Writeups}
These is the magical part of the CTF culture. As soon as a competition has ended, a bunch of players will create so called write-ups of the challenges they have solved. This is a step-by-step explanation of challenge they have solved in a CTF. They are a very good resource to learn the skill from other players.